package common.block.foliage;

import common.rng.Random;
import common.util.BlockPos;
import common.world.State;
import common.world.World;
import common.world.AWorldServer;

public interface IGrowable
{
    boolean canGrow(World worldIn, BlockPos pos, State state, boolean isClient);

    boolean canUseBonemeal(World worldIn, Random rand, BlockPos pos, State state);

    void grow(AWorldServer worldIn, Random rand, BlockPos pos, State state);
}
